## starpu 1.4.3+dfsg

=== debian/changelog ===
starpu (1.4.3+dfsg-5build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:53:54 +1100

starpu (1.4.3+dfsg-5) unstable; urgency=medium

  * control: Fix missing Conflicts against both non-t64 and t64 packages.
  * control: Fix missing Breaks+Replaces for contrib t64 packages.
    Closes: Bug#1065258.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Mar 2024 14:16:23 +0100

starpu (1.4.3+dfsg-4) unstable; urgency=medium

  * control: Upgrade conflicts between starpu and starpu-contrib to 64-bit
    time_t names.  Closes: #1065258

 -- Samuel Thibault <sthibault@debian.org>  Sat, 02 Mar 2024 11:10:29 +0100

starpu (1.4.3+dfsg-3) unstable; urgency=medium

  * patches/avoid-version: Avoid including version numbers for loadable
    plugins. Avoids useless shlibs file.
  * Rename contrib libraries for 64-bit time_t transition.
  * rules: Avoid ignoring failures from 'chmod'.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Mar 2024 01:31:03 +0100

starpu (1.4.3+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063083
  * Ignore failures from 'chmod' in debian/rules clean; this fails because
    '*contrib*' .install files have become dangling symlinks, but these are
    not part of the source package anyway.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 17:31:25 +0000

starpu (1.4.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Jan 2024 20:36:00 +0100

starpu (1.4.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename library packages according to abi bumps.
    - control: Add python3-cloudpickle build-dep.
    - control: Add python3-setuptools build-dep.
    - control: Add python3-numpy build-dep.
    - patches/python-destdir: Fix missing $(DESTDIR).
    - not-installed: Not installing python files for now.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Jan 2024 14:24:40 +0100
