=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: starpu
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
+Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
 	chrpath,
-	pkg-config,
+	pkgconf,
 	libnuma-dev [linux-any],
 	libglpk-dev,
 	mpi-default-dev,
@@ -22,8 +21,8 @@
 	python3-dev,
 	libpython3-dev, python3-setuptools,
 	python3-cloudpickle, python3-joblib, python3-numpy,
-	clang      [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64],
-	libomp-dev [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64],
+	clang      [amd64 arm64 armhf ppc64el ppc64],
+	libomp-dev [amd64 arm64 armhf ppc64el ppc64],
 	valgrind-if-available,
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
@@ -40,7 +39,7 @@
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.4-4t64 (= ${binary:Version}) | libstarpu-any-1.4-4, libstarpu-openmp-llvm-1.4-1t64 (= ${binary:Version}) [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64] | libstarpu-any-openmp-llvm-1.4-1 [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64], libstarpufft-1.4-1t64 (= ${binary:Version}) | libstarpu-anyfft-1.4-1, libstarpumpi-1.4-3t64 (= ${binary:Version}) | libstarpu-anympi-1.4-3, libsocl-1.4-1t64 (= ${binary:Version}) | libsocl-any-1.4-1, libstarpurm-1.4-1t64 (= ${binary:Version}) | libstarpu-anyrm-1.4-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev, libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32]
+Depends: libstarpu-1.4-5t64 (= ${binary:Version}) | libstarpu-any-1.4-5, libstarpu-openmp-llvm-1.4-1t64 (= ${binary:Version}) [amd64 arm64 armhf ppc64el ppc64] | libstarpu-any-openmp-llvm-1.4-1 [amd64 arm64 armhf ppc64el ppc64], libstarpufft-1.4-1t64 (= ${binary:Version}) | libstarpu-anyfft-1.4-1, libstarpumpi-1.4-3t64 (= ${binary:Version}) | libstarpu-anympi-1.4-3, libsocl-1.4-1t64 (= ${binary:Version}) | libsocl-any-1.4-1, libstarpurm-1.4-1t64 (= ${binary:Version}) | libstarpu-anyrm-1.4-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev, libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32]
 Conflicts: libstarpu-contrib-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -55,14 +54,14 @@
  This package contains development headers and libraries.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpu-1.4-4t64
-Replaces: libstarpu-1.4-4
-Breaks: libstarpu-1.4-4 (<< ${source:Version})
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.4-4, libstarpu-contrib-1.4-4t64
-Provides: ${t64:Provides}, libstarpu-any-1.4-4
+Package: libstarpu-1.4-5t64
+Replaces: libstarpu-1.4-5
+Breaks: libstarpu-1.4-5 (<< ${source:Version})
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-contrib-1.4-5, libstarpu-contrib-1.4-5t64
+Provides: ${t64:Provides}, libstarpu-any-1.4-5
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -78,7 +77,7 @@
 Package: libstarpu-openmp-llvm-1.4-1t64
 Replaces: libstarpu-openmp-llvm-1.4-1
 Breaks: libstarpu-openmp-llvm-1.4-1 (<< ${source:Version})
-Architecture: amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64
+Architecture: amd64 arm64 armhf ppc64el ppc64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libstarpu-contrib-openmp-llvm-1.4-1, libstarpu-contrib-openmp-llvm-1.4-1t64
